Bug 232251 - sysutils/hstr: update to 2.0
Summary: sysutils/hstr: update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-14 16:29 UTC by Patrice Clement
Modified: 2018-11-21 17:18 UTC (History)
2 users (show)

See Also:


Attachments
hstr-2.0.diff (514 bytes, patch)
2018-10-14 16:29 UTC, Patrice Clement
no flags Details | Diff
hstr-2.0.diff (966 bytes, patch)
2018-10-14 20:36 UTC, Patrice Clement
no flags Details | Diff
hstr-2.0.diff (1.44 KB, patch)
2018-11-13 21:32 UTC, Patrice Clement
no flags Details | Diff
v2 for the update to 2.0 (2.15 KB, patch)
2018-11-20 22:01 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrice Clement 2018-10-14 16:29:43 UTC
Created attachment 198142 [details]
hstr-2.0.diff

Hi

Here's the diff to update hstr to version 2.0.

Cheers
Comment 1 Patrice Clement 2018-10-14 20:36:06 UTC
Created attachment 198148 [details]
hstr-2.0.diff

I've reworked a bit the Makefile. Here's the result.
Comment 2 Steve Wills freebsd_committer 2018-10-29 17:48:02 UTC
(In reply to Patrice Clement from comment #1)
Patch needs to include update to distinfo
Comment 3 Patrice Clement 2018-11-13 21:32:11 UTC
Created attachment 199214 [details]
hstr-2.0.diff

Sorry for not responding quicker. Here's the correct diff. Cheers.
Comment 4 Fernando Apesteguía freebsd_committer 2018-11-20 22:00:47 UTC
Hi Patrice,

Thanks for the patch!

A couple of things:
* portlint -AC warns about using spaces instead of tabs in the Makefile (corrected)

* We don't need PORTREVISION if we are bumping PORTVERSION

* The bash-completion file was missing from PLIST_FILES

* There's a missing dependency on pkg-config

Would you use portlint and poudriere/synth? They're great tools that catch most of these things :)

Also, is there any reason to deactivate the -O2 flag? I compiled and run tested it and seems to work perfectly fine. I think we can get rid of the patch in files/

I attached a new version for the patch. How does it look to you?
Comment 5 Fernando Apesteguía freebsd_committer 2018-11-20 22:01:43 UTC
Created attachment 199392 [details]
v2 for the update to 2.0
Comment 6 Patrice Clement 2018-11-20 23:09:14 UTC
Hi Fernando

Thanks for the tips. I'm not familiar with the arsenal of tools on FreeBSD at my disposal to contribute better patches yet.

Your patch looks good to me. Feel free to commit it as is.

Thanks again! :)

PS: I'd like to contribute more patches to FreeBSD. Do you have any pointer as to where I could look for bugs? Thanks.
Comment 7 Fernando Apesteguía freebsd_committer 2018-11-21 17:12:24 UTC
(In reply to Patrice Clement from comment #6)

No worries! Just have a look at some of the tools :-)

I'll go ahead with the patch.

If you want to look for bugs, this is the place, just hit the search button and apply filters if you are interested in something in particular.
Comment 8 commit-hook freebsd_committer 2018-11-21 17:17:52 UTC
A commit references this bug:

Author: fernape
Date: Wed Nov 21 17:17:07 UTC 2018
New revision: 485524
URL: https://svnweb.freebsd.org/changeset/ports/485524

Log:
  sysutils/hstr: update to 2.0

  Announcement: https://github.com/dvorka/hstr/releases/tag/2.0

  PR:	232251
  Submitted by:	monsieurp@gentoo.org (maintainer)

Changes:
  head/sysutils/hstr/Makefile
  head/sysutils/hstr/distinfo
  head/sysutils/hstr/files/
Comment 9 Fernando Apesteguía freebsd_committer 2018-11-21 17:18:26 UTC
Committed,

Thanks!